Bug 849057 - [abrt] Thunar-1.3.0-6.fc17: g_file_equal: Process /usr/bin/Thunar was killed by signal 11 (SIGSEGV)
[abrt] Thunar-1.3.0-6.fc17: g_file_equal: Process /usr/bin/Thunar was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:1c05f90a4e58ffeebeeec805a8f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 04:02 EDT by jan
Modified: 2013-08-01 13:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:31:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.69 KB, text/plain)
2012-08-17 04:02 EDT, jan
no flags Details
File: maps (27.52 KB, text/plain)
2012-08-17 04:02 EDT, jan
no flags Details

  None (edit)
Description jan 2012-08-17 04:02:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        Thunar --daemon
crash_function: g_file_equal
executable:     /usr/bin/Thunar
kernel:         3.5.0-2.fc17.i686.PAE
pid:            1281
pwd:            /home/devilkin
remote_result:  804627
time:           Fri 17 Aug 2012 09:52:08 AM CEST
uid:            1000
username:       devilkin

backtrace:      Text file, 18111 bytes
maps:           Text file, 28177 bytes

build_ids:
:9aea670864d2a34a222fd110376f7946b702de7c
:a80295c914b60820f63621a6cd6bb1bda69a9ade
:0a1a8bf5237a71d763d23520783335c8fe6c31dd
:098d291982054b063b69f9a53ee4fb7616b16b20
:57d6de5ff5536ed125c804f036da93c46399c6e4
:c37ce5a56ac9116ef3203d075293c839e22aadc9
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:c8c155acc515416efd9d0e407ec2667e30f58083
:35b89ab09e065e4da8f417312ca2f1105efc0a01
:3acb49eb0c42230312a0b0e679162f2abc0f671f
:848a04e2a6ce321422123dd4369d8fff2214d349
:2f1a1c2666dfae08d4ede4dfb97ee4119afd5004
:e770a99240353f6d62cb241a37cb99fb29fc2ac7
:4cb2e4bc8c5ae850550f2b0269a8927775a6a0ea
:c48bdbb2542d5d7ce5b081f57915ca6164dd70b5
:0cc6dfb37fa33a39b32a474c934995879f7bc561
:fad91ac353e3532099b38d4dffada3e91cf97fa3
:480227a7bca28f7b6f8a785f94d35274f692e9d0
:ba65c18c65c2a90673347eb22550f94d13015206
:635ec4f5672e5fed2f78c3325742e995c406e5ec
:a052236088d0e128748dd47a336e683e8576e79d
:5b5557b5b0427930b220a00961393e29809c42f0
:4723ea68ac0f3366ffaefee6b60b82b1aa2ea5e4
:047d9b9e8c806072a73c78dd57897edb954c894f
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:fa15395f1487fcd6001dc7d5ede933ae71f89cd3
:f844578b7653e450fdead70e172ab5a3b3a06977
:e9363a6b468d459c7e4cb0d9757079106b3a882c
:1b00ab692df2c1f6c616a4cb3b8ba677ae45d87d
:9812f285fa1a19c5ae8e9b9ee5bd907675599513
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:7a1576593c9a13323f6d2a0939b7fe551cce5a3f
:e86d1bc2e8bb78ee8028a722abfa0e2cee306bbc
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721
:8d3308331c237b31f5e500d73e249edd53676aec
:043eccb02791fb7f064e23c6b73e45f1fdf3c243
:aae6a000489a723b3a3249869e5d58f3585bec19
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:0a2e34634bb52ade3f92bfb833b0914fd1f8288c
:327661a5f401b69a985e63c374da3357fb7bd155
:8fbd947e26890f56cf8a4f905001d5500daeeb63
:c7112059d672dfb1b17ed4be88fa89f30b547841
:c732867aa1c714d3919ece0c874c6f044380e85d
:bc998134806c187ae5af978d4d85c7e7d281bf3f
:3a29892c30642f5d7f11403d47eb309d2c938d9b
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:f8c4acb04741801459f82c474f53dfb0664b4bc7
:0db1085b6f5f26681999bf8762e7374bb8179395
:019e42ad205179335b27f2a79a873fda88ed21a3
:3315dc1f02dea0ab28a3f5f08ce3f07c9e156291
:2db83a4c3dc4ba607b77e73639ac847081193f8c
:1ca90117ccf0d6c1e4b64718bffdda64925d6161
:134b4c40cf364e1b220077702ba9a23268d4ed55
:c25f4a34816c8918d5cce3f8b7a851948c6db023
:75dd838611972f941eddfbc872c11bb0e35fb8c2
:28f2f286ac34caaf3998a75dfccf1f74e309eaa3
:6827db64bf037f6de97ac9f37d50f32f343930a4
:75901b80d2dac1e6eb7ce9c4b8446d9190d4896a
:cbcbfceac0395eee651d812bbef683f58319e0c7
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:5531b5e0176d5ff2b88ade6aa53115ed1cb53418
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:31054406efb1dc8ec398187d39df5a7fc56e9843
:acccee84fefeebf82dea74d95ce0369573298fe3
:b23f7b89bf3bebd443fa7cfdfa98b6e00c0f8d33
:757d0ed5f496fc377d8558caf8987cefa4679f96
:d4648a6d0b3baa7a362f083fd15285686b1503f3
:2aa0a3c7fd741675fb8369e41ac0a688f804a29b
:cbbb5c4f7aafbfef6a8298c1dda2e746929a4b82

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/devilkin/2

core_backtrace:
:28f2f286ac34caaf3998a75dfccf1f74e309eaa3 0x38454 g_file_equal libgio-2.0.so.0 -
:1ca90117ccf0d6c1e4b64718bffdda64925d6161 0x30ae8 - [exe] -
:9aea670864d2a34a222fd110376f7946b702de7c 0x461a ffi_call_SYSV libffi.so.5 -
:9aea670864d2a34a222fd110376f7946b702de7c 0x4381 ffi_call libffi.so.5 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xdbb8 g_cclosure_marshal_generic_va libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xd042 - libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26496 g_signal_emit_valist libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26e74 g_signal_emit libgobject-2.0.so.0 -
:28f2f286ac34caaf3998a75dfccf1f74e309eaa3 0x499b1 - libgio-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x44a01 - libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x46fbb g_main_context_dispatch libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x47360 - libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x477c3 g_main_loop_run libglib-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x14db30 gtk_main libgtk-x11-2.0.so.0 -
:1ca90117ccf0d6c1e4b64718bffdda64925d6161 0x15129 - [exe] -

dso_list:
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.12.3-1.fc17.i686 (Fedora Project) 1341235600
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-4.fc17.noarch (Fedora Project) 1341157022
:/usr/share/mime/mime.cache shared-mime-info-1.0-4.fc17.i686 (Fedora Project) 1341156914
:/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1341156985
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.4.0-1.fc17.noarch (Fedora Project) 1341235529
:/usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1341156985
:/usr/lib/gio/modules/libgioremote-volume-monitor.so gvfs-1.12.3-1.fc17.i686 (Fedora Project) 1341235600
:/usr/lib/gtk-2.0/2.10.0/engines/libxfce.so gtk-xfce-engine-2.99.0-2.fc17.i686 (Fedora Project) 1341169886
:/usr/lib/thunarx-2/thunar-archive-plugin.so thunar-archive-plugin-0.3.0-3.fc17.i686 (Fedora Project) 1341169873
:/usr/share/icons/Mist/icon-theme.cache gnome-themes-2.32.0-8.fc17.noarch (Fedora Project) 1341235547
:/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-jpeg.so gdk-pixbuf2-2.26.1-1.fc17.i686 (Fedora Project) 1341156934
:/usr/lib/thunarx-2/thunar-uca.so Thunar-1.3.0-6.fc17.i686 (Fedora Project) 1341169838
:/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-gif.so gdk-pixbuf2-2.26.1-1.fc17.i686 (Fedora Project) 1341156934
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1341156985

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1232
:HOSTNAME=macbook
:GPG_AGENT_INFO=/home/devilkin/.gnupg/S.gpg-agent:1262:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:SHELL=/bin/bash
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/devilkin/keyring-e6sn3c
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=devilkin
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-GidOHZIC1215/agent.1215
:USERNAME=devilkin
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/devilkin
:DESKTOP_SESSION=xfce
:PATH=/home/devilkin/bin:/usr/lib/qt-3.3/bin:/home/devilkin/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:~/android/android-sdk-linux_x86/platform-tools
:PWD=/home/devilkin
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1211
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/devilkin
:XDG_SEAT=seat0
:LOGNAME=devilkin
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-NbkDDwDEHS,guid=70b2443501e475309797fff100000027
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/devilkin
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-devilkin-Xsj6ZV/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1271,unix/unix:/tmp/.ICE-unix/1271,inet6/macbook:33255,inet/macbook:41276

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23872                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23872                23872                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/devilkin/.xsession-errors
:pos:	35223672
:flags:	02002
:2:/home/devilkin/.xsession-errors
:pos:	35223672
:flags:	02002
:3:socket:[18551]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[18564]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[18590]
:pos:	0
:flags:	02004002
:8:socket:[18609]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[104674]
:pos:	0
:flags:	02004002
:11:socket:[104675]
:pos:	0
:flags:	02004002
:12:socket:[104679]
:pos:	0
:flags:	02
:13:pipe:[18539]
:pos:	0
:flags:	01
:14:socket:[104680]
:pos:	0
:flags:	02004002
:15:socket:[104258]
:pos:	0
:flags:	02
:16:socket:[104259]
:pos:	0
:flags:	02004002
:17:socket:[104275]
:pos:	0
:flags:	02
:18:socket:[104277]
:pos:	0
:flags:	02004002
:19:socket:[104296]
:pos:	0
:flags:	02
:20:/home/devilkin/.local/share/gvfs-metadata/home (deleted)
:pos:	0
:flags:	0100000
:21:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:22:/home/devilkin/.local/share/gvfs-metadata/home-0e12ecfb.log (deleted)
:pos:	0
:flags:	0100000
:23:/home/devilkin/.local/share/gvfs-metadata/root (deleted)
:pos:	0
:flags:	0100000

var_log_messages:
:Aug 17 09:52:08 macbook kernel: [224799.901594] Thunar[1281]: segfault at 2 ip 496f1454 sp bfd04900 error 4 in libgio-2.0.so.0.3200.4.#prelink#.pTy5Y0 (deleted)[496b9000+153000]
:Aug 17 09:52:08 macbook abrt[4642]: File '/usr/bin/Thunar' seems to be deleted
:Aug 17 09:52:10 macbook abrt[4642]: Saved core dump of pid 1281 (/usr/bin/Thunar) to /var/spool/abrt/ccpp-2012-08-17-09:52:08-1281 (65355776 bytes)
Comment 1 jan 2012-08-17 04:02:33 EDT
Created attachment 605115 [details]
File: backtrace
Comment 2 jan 2012-08-17 04:02:39 EDT
Created attachment 605116 [details]
File: maps
Comment 3 Kevin Fenzi 2012-08-17 10:44:04 EDT
The backtrace here isn't too useful. ;( 

What were you doing when this happened? Can you repeat it?

Also, it may be that you had logged in and done some upgrades, and Thunar was updated. If you logout and back on can you duplicate the crash with the new version?
Comment 4 Fedora End Of Life 2013-07-04 02:06:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 13:31:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.